org.eclipse.emf.cdo.security

## Interface FilterPermission

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Notifier, Permission
  All Known Implementing Classes:
    FilterPermissionImpl

      public interface FilterPermission
      extends Permission

  A representation of the model object 'Filter Permission'.
  Since:
    4.3

    The following features are supported:

    - `Filters`
  See Also:
    `SecurityPackage.getFilterPermission()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<PermissionFilter>` | `getFilters()` Returns the value of the 'Filters' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.cdo.security.Permission

      `getAccess, getRole, isApplicable, setAccess, setRole`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getFilters

          EList<PermissionFilter> getFilters()

      Returns the value of the 'Filters' containment reference list. The list contents are of type `PermissionFilter`.

      If the meaning of the 'Filters' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Filters' containment reference list.
      See Also:
        `SecurityPackage.getFilterPermission_Filters()`
      Generated
      Model
        containment="true" required="true"

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html